{
    "name": "",
    "description": "",
    "spec": [
        {
            "question_name": "Instance Name",
            "question_description": "",
            "required": true,
            "type": "text",
            "variable": "instance_name",
            "min": 5,
            "max": 32,
            "default": "idmsrv",
            "choices": ""
        },
        {
            "question_name": "Instance Flavor",
            "question_description": "",
            "required": true,
            "type": "multiplechoice",
            "variable": "instance_flavor",
            "min": null,
            "max": null,
            "default": "n2-standard-2",
            "choices": "n2-standard-2\nn2-standard-4\nn2-standard-8"
        },
        {
            "question_name": "Provider Type",
            "question_description": "",
            "required": true,
            "type": "multiplechoice",
            "variable": "type",
            "min": null,
            "max": null,
            "default": "gcp",
            "choices": "ec2\ngcp\nazure\nvmware"
        },
        {
            "question_name": "GCP SSH public key",
            "question_description": "",
            "required": true,
            "type": "password",
            "variable": "gcp_key_pair",
            "min": 5,
            "max": 1024,
            "default": "{{ gcp_key_pair | default(omit) }}",
            "choices": ""
        }
    ]
}
